epp_ContactUpdateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.contact.epp_ContactUpdateReq class

### org.openrtk.idl.epp02.contact

# Class epp_ContactUpdateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp02.contact.epp_ContactUpdateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactUpdateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/contact/epp_ContactUpdateReq.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_contact.idl Thursday, July 26, 2001 6:26:13 PM EDT

  ## Field Summary
  `epp_ContactUpdateAddRemove` | `m_add`
  `epp_ContactUpdateChange` | `m_change`
  `epp_Command` | `m_cmd`
  `epp_ContactUpdateAddRemove` | `m_remove`
  `String` | `m_roid`

  ## Constructor Summary
  `epp_ContactUpdateReq()`
  `epp_ContactUpdateReq(epp_Command _m_cmd, String _m_roid, epp_ContactUpdateAddRemove _m_add, epp_ContactUpdateAddRemove _m_remove, epp_ContactUpdateChange _m_change)`

  ## Method Summary
  `epp_ContactUpdateAddRemove` | `getAdd()`
  `epp_ContactUpdateChange` | `getChange()`
  `epp_Command` | `getCmd()`
  `epp_ContactUpdateAddRemove` | `getRemove()`
  `String` | `getRoid()`
  `void` | `setAdd(epp_ContactUpdateAddRemove value)`
  `void` | `setChange(epp_ContactUpdateChange value)`
  `void` | `setCmd(epp_Command value)`
  `void` | `setRemove(epp_ContactUpdateAddRemove value)`
  `void` | `setRoid(String value)`
  `String` | `toString()`

## Field Details

### m_add

    public epp_ContactUpdateAddRemove m_add

### m_change

    public epp_ContactUpdateChange m_change

### m_cmd

    public epp_Command m_cmd

### m_remove

    public epp_ContactUpdateAddRemove m_remove

### m_roid

    public String m_roid

## Constructor Details

### epp_ContactUpdateReq

    public epp_ContactUpdateReq()

### epp_ContactUpdateReq

    public epp_ContactUpdateReq(epp_Command _m_cmd,
                                String _m_roid,
                                epp_ContactUpdateAddRemove _m_add,
                                epp_ContactUpdateAddRemove _m_remove,
                                epp_ContactUpdateChange _m_change)

## Method Details

### getAdd

    public epp_ContactUpdateAddRemove getAdd()

### getChange

    public epp_ContactUpdateChange getChange()

### getCmd

    public epp_Command getCmd()

### getRemove

    public epp_ContactUpdateAddRemove getRemove()

### getRoid

    public String getRoid()

### setAdd

    public void setAdd(epp_ContactUpdateAddRemove value)

### setChange

    public void setChange(epp_ContactUpdateChange value)

### setCmd

    public void setCmd(epp_Command value)

### setRemove

    public void setRemove(epp_ContactUpdateAddRemove value)

### setRoid

    public void setRoid(String value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS